import SwiftUI
import AuthenticationServices

struct ContentView: View {
    var body: some View {
        SignInWithAppleButton(.signIn) { request in
            request.requestedScopes = [.fullName, .email]
        } onCompletion: { result in
            print(
                ASAuthorizationError.unknown.rawValue
            )
            switch result {
            case .success(let authorization):
                if let userCredential = authorization.credential as? ASAuthorizationAppleIDCredential {
                        dump(userCredential)
                }
                
            case .failure(let error):
                if (error as NSError).code == 1000 {
                    print("No Sign in with Apple entitlements")
                }
                print("Could not authenticate: \(error.localizedDescription)")
            }
        }
        .signInWithAppleButtonStyle(.whiteOutline)
        .frame(width: 280, height: 45)
    }
}
